function [x,ratio]=empcdf(data)
%EMPCDF The empirical (cumulative) distribution function
%   This is a routine used in Computer exercise 1, FMS065.
% 
%   CALL:  [x,ratio]=empcdf(data)
%
%        x = values where the empirical distribution function is calculated
%    ratio = the empirical distribution function calculated at the points in x
%     data = the input data-vector

% J Rydn, Aug 2000
% Revised and renamed 2001-12-19 by Tord Rikte
% Minor correction 2003-02-02 by Tord Rikte

N=10000; % Number of points
x=linspace(min(data)-.1*(max(data)-min(data)),max(data)+.1*(max(data)-min(data)),N);
ratio=zeros(size(x));
for i=1:N
  ratio(i) = sum(data<=x(i))/length(data);
end
