    clear all, close all
  N=100000;
  norway = load('norway.dat');
  t=norway(:,1);
  R_male=norway(:,2)/N;
  R_female=norway(:,3)/N;
  figure,plot(t,R_male,'b',t,R_female,'r'), grid on
  n=length(t)
  lambda_male=zeros(size(t));
  lambda_male(1)=-(R_male(2)-R_male(1))/R_male(1);
  for i=2:(n-1), lambda_male(i)=-(R_male(i+1)-R_male(i-1))/(2*R_male(i)); end
  lambda_male(n)=-(R_male(n)-R_male(n-1))/R_male(n);
  lambda_female=zeros(size(t));
  lambda_female(1)=-(R_female(2)-R_female(1))/R_female(1);
  for i=2:(n-1), lambda_female(i)=-(R_female(i+1)-R_female(i-1))/(2*R_female(i)); end
  lambda_female(n)=-(R_female(n)-R_female(n-1))/R_female(n);
  figure,plot(t,lambda_male,'b',t,lambda_female,'r'), grid on
  alpha=9e-4; beta=4.4e-5; c=10.34; t0=3;
  t=0:0.1:100;
  lambdaM=alpha+beta*exp(t/c);        % Males
  lambdaF=alpha+beta*exp((t-t0)/c);   % Females
  hold on
  plot(t,lambdaM,'k',t,lambdaF,'g')
  hold off
  PM=exp(-(alpha*65+c*beta*(exp(65/c)-1)))                % Males
  PF=exp(-(alpha*65+c*beta*(exp((65-t0)/c)-exp(-t0/c))))  % Females
  PcondM=exp(-(alpha*(65-30)+c*beta*(exp(65/c)-exp(30/c))))           % Males
  PcondF=exp(-(alpha*(65-30)+c*beta*(exp((65-t0)/c)-exp((30-t0)/c)))) % Females
  t=0:0.01:120;
  RM=exp(-(alpha*t+c*beta*(exp(t/c)-1)));                   % Males
  RF=exp(-(alpha*t+c*beta*(exp((t-t0)/c)-exp(-t0/c))));     % Females
  figure, plot(t,RM,'b',t,RF,'r'), grid on
  ETM=trapz(t,RM)                                          % Males
  ETF=trapz(t,RF)                                          % Females
  N=100;
  lambda=0.5;
  timedistances=exprnd(1/lambda,1,N);      % Alternative 1
  tiemdistances=-log(1-rand(1,N))/lambda;  % Alternative 2
  v=[4 7 5 2];
  cumsum(v)
   instants=cumsum(timedistances);
  figure,stairs(instants,1:N)
  grid on
  t1=150;
  poissrnd(t1*lambda,1,10)
  lambdahat=sum(instants<=t1)/t1
  coal=load('coal.dat')
  N=153;
  t=cumsum(coal(:,5));
  stairs(t,1:N)
  grid on
  lambda1hat=127/1.5e4               % unit: 1 day^(-1)
  lambda2hat=(N-127)/(t(end)-1.5e4)  % unit: 1 day^(-1)
  figure,stairs(coal(:,3)+coal(:,4)/365.25,1:N), grid on
  figure,stairs(coal(:,3)+coal(:,4)/365.25,cumsum(coal(:,6))), grid on

