  clear all, close all
  aS=2.5; bS=55; aR=5; bR=70; cR=2;   % cR>=1
  r=bR:0.01:150;
  integrand=exp(-exp(-(r-bS)/aS)).*(cR/aR).*((r-bR)/aR).^(cR-1).*exp(-((r-bR)/aR).^cR);
  figure,plot(r,integrand), grid on
  Pf=1-trapz(r,integrand)
  N=200000;
  S=wgumbrnd(aS,bS,[],1,N);
  R=bR+wweibrnd(aR,cR,1,N);
  h=R-S;
  Pfhat=sum(h<0)/N
  Pf=1-normcdf(1)
  N=10000;
  T1=40+10*randn(1,N);
  T2=15+5*randn(1,N);
  T3=50+10*randn(1,N);
  h=120-(T1+T2+T3);
  Pfhat=sum(h<0)/N
  K=1.0;
  EC=3.85; DC=0.27;
  EL=93.4; DL=5.6;
  EH=12.0; DH=0.72;
  ER=0.7; DR=0.1;
  EQi=9.1e3; DQi=3.2e3; 
  aQi=sqrt(6)*DQi/pi, bQi=EQi-0.57721566*aQi  
  N=2000;   % for example
  C=EC+DC*randn(1,N);
  L=EL+DL*randn(1,N);
  H=EH+DH*randn(1,N);
  R=ER+DR*randn(1,N);
  Qi=wgumbrnd(aQi,bQi,[],1,N);
  h=K*C.*L.*(H.^(3/2))-R.*Qi;
  Pfhat=sum(h<0)/N
  figure,plot(1:N,h,'.'), grid on
  Pmax=300e-3;
  N=20000;
  EU=10; DU=2;
  medianA=1e-3; sigma=0.2;
  aVTR=3; bVTR=5;
  U=EU+DU*randn(1,N);
  A=medianA*exp(sigma*randn(1,N));
  VTR=aVTR+(bVTR-aVTR)*rand(1,N);
  I=zeros(1,N);
  index1=find(U>=VTR);
  index2=find(U<VTR);
  I(index1)=A(index1).*VTR(index1).^2;                % Constant current region
  I(index2)=A(index2).*(2*VTR(index2).*U(index2)-U(index2).^2); % Triode region
  h=Pmax-U.*I;
  Pfhat=sum(h<0)/N

