function beta=poiss_regress(X,n,prec);
%POISS_REGRESS Fit a Poisson regression model to data
%    beta=poiss_regress(X,n,prec);
%    Fits a Poisson regression model using the explantory variables X and
%    response n, using a recursive Newton-Raphson algorithm. The algorithm
%    stops when the maximum of the derivates of the log-likelihoodfunction
%    is less than prec. 
%    The result beta is a vector of the estimated parameters.
%
%
%

p = size(X,2);
X = [ones(size(X,1),1) X];
beta(:,1) = [log(sum(n)) zeros(1,p)]';
i = 0;
diff=100;
while diff > prec
    i=i+1;
    s=Sigma(X,beta(:,i));
    l_dot=((n-exp(X*beta(:,i)))'*X)';  
    beta(:,i+1)=beta(:,i)+Sigma(X,beta(:,i))*l_dot;
    diff=max(abs(l_dot));
end
beta=beta(:,i+1);

function sigma_star=Sigma(X,b)  %--Covariance matrix of beta* 
for j = 1:length(b)
    for m = 1:length(b)
       I(j,m) = -exp(X*b)'*(X(:,j).*X(:,m));
    end
end
sigma_star=inv(-I);
