function F = wtcdf(x,df)
%WTCDF  Student's T  cumulative distribution function
%
% CALL:  F = wtcdf(x,df);
%
%    F = distribution function evaluated at x
%    x = matrix
%   df = degrees of freedom (1,2,....)
%
% Example:
%   x = linspace(-5,5,200);
%   p1 = wtcdf(x,1); p2 = wtcdf(x,5);
%   plot(x,p1,x,p2)

% tested on matlab 5.3
%History:
%revised pab 29.10.2000
% adapted from stixbox
% -added nargchk, comnsize, mxdf +  check on floor(df)==df
%by      Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg


error(nargchk(2,2,nargin))
[errorcode x,df] = comnsize(x,df);
if errorcode>0,
  error('x and df must be of common size or scalar');
end

F=zeros(size(x));

%df = min(df,1000000); % make it converge and also accept Inf.
mxdf=10^6;

ok = (0<df & df==floor(df));
k = find(ok & df<mxdf );
if any(k),
  neg = x(k)<0;
  tmp = 1-(1-wfcdf(x(k).^2,1,df(k)))/2;
  F = tmp + (1-2*tmp).*neg;
end

k1=find(ok & df>=mxdf);
if any(k1)
  F(k1) = wnormcdf(x(k1),0,1);
end

  
k2 = find(~ok);
if any(k2)
  f(k2)=NaN;
end


